# Sentry Cardinal

This extension to [Sentry](https://github.com/dcramer/sentry) adds a little
spice when dealing with longwinded tracebacks (such as those generated by Rails
applications).

## Features
###  Filtered Tracebacks
  Traceback frames may be annotated with a `context_type`. By default, only
  frames with a `context_type` of 'application' will be shown, but you can
  easily toggle to show the full or framework tracebacks.

### Grouping of exceptions by a `cleaned_function` name
  Frameworks like rails that dynamically create functions sometimes create
  function names that differ, but are functionally identical. In these cases,
  the client may want to specify a `cleaned_function` attribute for a frame that
  will be used to compute the message's group rather than the `function`
  attribute.

## Usage
Add `sentry_cardinal` to sentry's `INSTALLED_APPS`. You will need to configure
your client to send stack traces with the interface
`sentry_cardinal.interfaces.Stacktrace` instead of the usual
`sentry.interfaces.Stacktrace`.
